diff -up ./doc/boot_sectors.txt.org ./doc/boot_sectors.txt
--- ./doc/boot_sectors.txt.org	2014-04-09 15:21:34.186537252 +0200
+++ ./doc/boot_sectors.txt	2014-04-09 15:49:36.554845164 +0200
@@ -1033,7 +1033,17 @@ Sources:
    http://git.kernel.org/cgit/linux/kernel/git/deller/palo.git/tree/lib/
       (especially struct firstblock in common.h and struct partition in part.h)
 
-There are five parameters which get encoded into the first 248 bytes of the
+Version 5 of the palo header is backwards compatible to version 4 and
+introduced two new options:
+1. The Linux kernel commandline was extended to 1023 characters. For that the
+   new command line is stored at offset 1024 of the image. The new palo bootloader
+   will first look at offset 1024 and use the commandline stored there. If it's
+   empty, it will fall back to the command line at offset 24.
+2. Palo is now able to load and uncompress gzip-compressed Linux kernels.  For
+   that the original length of the uncompressed Linux kernels are stored at
+   offsets 220 and 224.
+
+There are five parameters which get encoded into the first 2048 bytes of the
 System Area: cmdline, bootloader, 32-bit kernel, 64-bit kernel, and ramdisk.
 They are all mandatory.
 While cmdline is simply a string of at most 1023 characters, the other four
